> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List a room's observers

GET https://astropods.com/api/v1/accounts/{account}/rooms/{room_id}/observers

Reference: https://docs.astropods.com/api-reference/astropods-api/rooms/list-a-rooms-observers

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name
- `room_id` (string, required) — Room ID

## Response

### 200

OK

- `observers` (list of RoomObserverResponse, optional)

## Types

### RoomObserverResponse

- `created_at` (datetime, optional)
- `created_by_user_id` (string, optional)
- `display_name` (string, optional)
- `enabled` (boolean, optional)
- `id` (string, optional)
- `kind` (string, optional)
- `last_event_at` (datetime, optional, nullable)
- `name` (string, optional)
- `repo` (string, optional)
- `slack` (RoomObserverSlackResponse, optional)
- `stopped_at` (datetime, optional, nullable)
- `stopped_reason` (string, optional)
- `triggers` (list of Trigger, optional)
- `url` (string, optional)
- `webhook_url` (string, optional)

### RoomObserverSlackResponse

- `channel_id` (string, optional)
- `channel_name` (string, optional)
- `team_id` (string, optional)

### Trigger

- `actions` (list of string, optional)
- `event` (string, optional)
- `exclude` (TriggerExclusions, optional)
- `filters` (TriggerFilters, optional)
- `job` (string, optional)

### TriggerExclusions

- `authors` (list of string, optional)
- `branches` (list of string, optional)
- `contains` (string, optional)
- `emoji` (list of string, optional)
- `labels` (list of string, optional)
- `workflows` (list of string, optional)

### TriggerFilters

- `authors` (list of string, optional)
- `branches` (list of string, optional)
- `conclusions` (list of string, optional)
- `contains` (string, optional)
- `drafts` (boolean, optional)
- `emoji` (list of string, optional)
- `labels` (list of string, optional)
- `on` (list of string, optional)
- `prereleases` (boolean, optional)
- `states` (list of string, optional)
- `workflows` (list of string, optional)

## Examples

**Response**

```json
{
  "observers": [
    {
      "created_at": "2024-01-15T09:30:00Z",
      "created_by_user_id": "string",
      "display_name": "string",
      "enabled": true,
      "id": "string",
      "kind": "string",
      "last_event_at": "2024-01-15T09:30:00Z",
      "name": "string",
      "repo": "string",
      "slack": {
        "channel_id": "string",
        "channel_name": "string",
        "team_id": "string"
      },
      "stopped_at": "2024-01-15T09:30:00Z",
      "stopped_reason": "string",
      "triggers": [
        {
          "actions": [
            "string"
          ],
          "event": "string",
          "exclude": {
            "authors": [
              "string"
            ],
            "branches": [
              "string"
            ],
            "contains": "string",
            "emoji": [
              "string"
            ],
            "labels": [
              "string"
            ],
            "workflows": [
              "string"
            ]
          },
          "filters": {
            "authors": [
              "string"
            ],
            "branches": [
              "string"
            ],
            "conclusions": [
              "string"
            ],
            "contains": "string",
            "drafts": true,
            "emoji": [
              "string"
            ],
            "labels": [
              "string"
            ],
            "on": [
              "string"
            ],
            "prereleases": true,
            "states": [
              "string"
            ],
            "workflows": [
              "string"
            ]
          },
          "job": "string"
        }
      ],
      "url": "string",
      "webhook_url": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/accounts/account/rooms/room_id/observers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/accounts/account/rooms/room_id/observers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/accounts/account/rooms/room_id/observers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/accounts/account/rooms/room_id/observers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/accounts/account/rooms/room_id/observers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/accounts/account/rooms/room_id/observers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/accounts/account/rooms/room_id/observers");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/accounts/account/rooms/room_id/observers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```